Package com.independentsoft.office.odf.styles

# Enum Class Placing

java.lang.Object
java.lang.Enum<Placing>
com.independentsoft.office.odf.styles.Placing

All Implemented Interfaces:
  `Serializable`, `Comparable<Placing>`, `Constable`

public enum Placing extends Enum<Placing>
Represents whether the measure line is rendered below or above the edge defined by the two reference points.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABOVE`
  Measure line is rendered below the edge defined by two reference points.
  `BELOW`
  Measure line is rendered above the edge defined by two reference points.
  `NONE`
  None.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Placing`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static Placing[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BELOW

    public static final Placing BELOW
    Measure line is rendered above the edge defined by two reference points.

  - ### ABOVE

    public static final Placing ABOVE
    Measure line is rendered below the edge defined by two reference points.

  - ### NONE

    public static final Placing NONE
    None.

- ## Method Details

  - ### values

    public static Placing[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Placing valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null